TIMEOUT(1)

NOM
timeout - Exécuter une commande avec une limite de temps

SYNOPSIS
timeout [OPTION] DURÉE COMMANDE [PARAM]...
timeout [OPTION]

DESCRIPTION

Lancer COMMANDE et la tuer si elle est toujours en cours après la DURÉE indiquée.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--preserve-status

    renvoyer le même état de fin d'exécution que COMMANDE, même si celle-ci

    dépasse le temps imparti

--foreground

    quand timeout n'est pas exécuté depuis un interpréteur de commande,

    permettre à COMMANDE de lire depuis le terminal (TTY) et de recevoir des signaux du terminal. Avec cette option, les processus enfant de COMMANDE ne seront pas limités dans le temps comme l'est COMMANDE.

-k, --kill-after=DURÉE

    envoyer aussi un signal KILL si la COMMANDE est toujours en cours

    une fois la DURÉE écoulée après l’envoi du signal initial

-s, --signal=SIGNAL

    indiquer le signal à envoyer lors de l'expiration de la limite de temps.

    SIGNAL peut être un nom, comme « HUP », ou un numéro. Consultez « kill -l » pour une liste de signaux

-v, --verbose
    indiquer sur la sortie d'erreur standard tout signal envoyé lors de l'expiration de la limite de temps.

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

DURÉE est un nombre à virgule flottante avec un suffixe optionnel, qui peut être « s » pour seconde (par défaut), « m » pour minute, « h » pour heure ou « d » pour jour. Une durée de 0 désactive la limitation de temps associée.

Si la commande dépasse le temps imparti et que l'option --preserve-status n'est pas spécifiée, alors elle se termine avec l'état de fin d'exécution 124. Sinon l'état de fin d'exécution normale de la COMMANDE est renvoyé. Si aucun signal n'est indiqué, le signal TERM est envoyé en cas de dépassement du temps. Le signal TERM tue tous les processus qui ne bloquent ni n'interceptent ce signal. Pour les autres processus, il peut être nécessaire d'utiliser le signal KILL (9), puisque ce signal ne peut être intercepté. Si le signal KILL (9) est utilisé, l'état de fin d'exécution vaudra 128+9 au lieu de 124.

BOGUES
Certaines plateformes n'acceptent pas, pour le moment, de délais supérieurs à l'année 2038.

AUTEUR
Écrit par Padraig Brady.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
kill(1)

Documentation complète : <https://www.gnu.org/software/coreutils/timeout>
aussi disponible localement à l’aide de la commande : info '(coreutils) timeout invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org>, Jean-Philippe MENGUAL <jpmengual@debian.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.